package faqapp;

import java.io.Serializable;

/**
 * TopicTO (Transfer Object). This TO is used by the AppSessionFacade bean.
 * The reason why this TO is not immutable is due to requirements of the
 * Web service implementation.
 **/
public class TopicTO implements Serializable {
    private int topicID;
    private String topicDesc;
    private int areaID;
    private int[] faqIDs;

    public TopicTO() {
    }

    public TopicTO(int topicID, String topicDesc, int areaID, int[] faqIDs) {
        this.topicID = topicID;
        this.topicDesc = topicDesc;
        this.areaID = areaID;
        this.faqIDs = faqIDs;
    }

    public void setTopicID(int topicID) {
        this.topicID = topicID;
    }

    public void setTopicDesc(String topicDesc) {
        this.topicDesc = topicDesc;
    }

    public void setAreaID(int areaID) {
        this.areaID = areaID;
    }

    public void setFaqIDs(int[] faqIDs) {
        this.faqIDs = faqIDs;
    }

    public int getTopicID() {
        return topicID;
    }

    public String getTopicDesc() {
        return topicDesc;
    }

    public int getAreaID() {
        return areaID;
    }

    public int[] getFAQIDs() {
        return faqIDs;
    }
}
